from distutils.core import setup

doc_prefix = 'share/doc/NZMATH-0.91.0/'

setup (
    name = 'NZMATH',
    version = '0.91.0',
    url = 'http://tnt.math.metro-u.ac.jp/nzmath/',
    author = 'NZMATH development group',
    author_email = 'nzmath-user@tnt.math.metro-u.ac.jp',
    description = 'number theory oriented calculation system',
    classifiers = ['Development Status :: 4 - Beta',
                   'License :: OSI Approved :: BSD License',
                   'Operating System :: OS Independent',
                   'Programming Language :: Python',
                   'Topic :: Scientific/Engineering :: Mathematics',
                  ],

    packages = ['nzmath', 'nzmath.factor', 'nzmath.poly'],

    data_files = [
        (doc_prefix + 'manual', [
         'manual/default.css',
         'manual/faq.html',
         'manual/index.html',
         'manual/install.html',
         'manual/tutorial.html',
        ]),
        (doc_prefix + 'manual/modules', [
         'manual/modules/algfield.html',
         'manual/modules/algfield_ApproxAlgNumber.html',
         'manual/modules/algfield_BasicAlgNumber.html',
         'manual/modules/algfield_MatAlgNumber.html',
         'manual/modules/algfield_NumberField.html',
         'manual/modules/arith1.html',
         'manual/modules/arygcd.html',
         'manual/modules/bigrandom.html',
         'manual/modules/bigrange.html',
         'manual/modules/combinatorial.html',
         'manual/modules/compatibility.html',
         'manual/modules/cubic_root.html',
         'manual/modules/elliptic.html',
         'manual/modules/elliptic_ECGeneric.html',
         'manual/modules/elliptic_ECoverGF.html',
         'manual/modules/elliptic_ECoverQ.html',
         'manual/modules/equation.html',
         'manual/modules/factor.html',
         'manual/modules/factor_ecm.html',
         'manual/modules/factor_find.html',
         'manual/modules/factor_methods.html',
         'manual/modules/factor_misc.html',
         'manual/modules/factor_misc_FactoredInteger.html',
         'manual/modules/factor_mpqs.html',
         'manual/modules/factor_util.html',
         'manual/modules/factor_util_FactoringInteger.html',
         'manual/modules/factor_util_FactoringMethod.html',
         'manual/modules/finitefield.html',
         'manual/modules/finitefield_FiniteExtendedField.html',
         'manual/modules/finitefield_FiniteExtendedFieldElement.html',
         'manual/modules/finitefield_FiniteField.html',
         'manual/modules/finitefield_FiniteFieldElement.html',
         'manual/modules/finitefield_FinitePrimeField.html',
         'manual/modules/finitefield_FinitePrimeFieldElement.html',
         'manual/modules/gcd.html',
         'manual/modules/group.html',
         'manual/modules/group_AbelianGenerate.html',
         'manual/modules/group_GenerateGroup.html',
         'manual/modules/group_Group.html',
         'manual/modules/group_GroupElement.html',
         'manual/modules/imaginary.html',
         'manual/modules/imaginary_AbsoluteError.html',
         'manual/modules/imaginary_Complex.html',
         'manual/modules/imaginary_ComplexField.html',
         'manual/modules/imaginary_ExponentialPowerSeries.html',
         'manual/modules/imaginary_RelativeError.html',
         'manual/modules/integerResidueClass.html',
         'manual/modules/integerResidueClass_IntegerResidueClass.html',
         'manual/modules/integerResidueClass_IntegerResidueClassRing.html',
         'manual/modules/intresidue.html',
         'manual/modules/intresidue_IntegerResidueClass.html',
         'manual/modules/intresidue_IntegerResidueClassRing.html',
         'manual/modules/lattice.html',
         'manual/modules/manual.html',
         'manual/modules/matrix.html',
         'manual/modules/matrix_FieldMatrix.html',
         'manual/modules/matrix_FieldSquareMatrix.html',
         'manual/modules/matrix_Matrix.html',
         'manual/modules/matrix_MatrixRing.html',
         'manual/modules/matrix_RingMatrix.html',
         'manual/modules/matrix_RingSquareMatrix.html',
         'manual/modules/matrix_SquareMatrix.html',
         'manual/modules/matrix_Subspace.html',
         'manual/modules/multiplicative.html',
         'manual/modules/permute.html',
         'manual/modules/permute_ExPermute.html',
         'manual/modules/permute_PermGroup.html',
         'manual/modules/permute_Permute.html',
         'manual/modules/poly.html',
         'manual/modules/poly_factor.html',
         'manual/modules/poly_formalsum.html',
         'manual/modules/poly_formalsum_DictFormalSum.html',
         'manual/modules/poly_formalsum_FormalSumContainerInterface.html',
         'manual/modules/poly_formalsum_ListFormalSum.html',
         'manual/modules/poly_multiutil.html',
         'manual/modules/poly_multiutil_DomainPolynomial.html',
         'manual/modules/poly_multiutil_PolynomialRingAnonymousVariables.html',
         'manual/modules/poly_multiutil_RingPolynomial.html',
         'manual/modules/poly_multiutil_UniqueFactorizationDomainPolynomial.html',
         'manual/modules/poly_multivar.html',
         'manual/modules/poly_multivar_TermIndeces.html',
         'manual/modules/poly_termorder.html',
         'manual/modules/poly_termorder_MultivarTermOrder.html',
         'manual/modules/poly_termorder_TermOrderInterface.html',
         'manual/modules/poly_termorder_UnivarTermOrder.html',
         'manual/modules/poly_uniutil.html',
         'manual/modules/poly_uniutil_DomainPolynomial.html',
         'manual/modules/poly_uniutil_FieldPolynomial.html',
         'manual/modules/poly_uniutil_FinitePrimeFieldPolynomial.html',
         'manual/modules/poly_uniutil_IntegerPolynomial.html',
         'manual/modules/poly_uniutil_PolynomialIdeal.html',
         'manual/modules/poly_uniutil_PolynomialRingAnonymousVariable.html',
         'manual/modules/poly_uniutil_RingPolynomial.html',
         'manual/modules/poly_uniutil_UniqueFactorizationDomainPolynomial.html',
         'manual/modules/poly_univar.html',
         'manual/modules/poly_univar_BasicPolynomial.html',
         'manual/modules/poly_univar_PolynomialInterface.html',
         'manual/modules/poly_univar_SortedPolynomial.html',
         'manual/modules/polynomial.html',
         'manual/modules/polynomial_MultiVariablePolynomialIdeal.html',
         'manual/modules/polynomial_MultiVariableSparsePolynomial.html',
         'manual/modules/polynomial_OneVariablePolynomial.html',
         'manual/modules/polynomial_OneVariablePolynomialChar0.html',
         'manual/modules/polynomial_OneVariablePolynomialCharNonZero.html',
         'manual/modules/polynomial_OneVariablePolynomialCoefficients.html',
         'manual/modules/polynomial_OneVariablePolynomialIdeal.html',
         'manual/modules/polynomial_PolynomialResidueRing.html',
         'manual/modules/polynomial_PolynomialRing.html',
         'manual/modules/polynomial_RationalOneVariablePolynomial.html',
         'manual/modules/prime.html',
         'manual/modules/quad.html',
         'manual/modules/quad_ClassGroup.html',
         'manual/modules/quad_ReducedQuadraticForm.html',
         'manual/modules/rational.html',
         'manual/modules/rationalFunction.html',
         'manual/modules/rationalFunction_RationalFunction.html',
         'manual/modules/rationalFunction_RationalFunctionField.html',
         'manual/modules/rational_Integer.html',
         'manual/modules/rational_IntegerRing.html',
         'manual/modules/rational_Rational.html',
         'manual/modules/rational_RationalField.html',
         'manual/modules/real.html',
         'manual/modules/real_AbsoluteError.html',
         'manual/modules/real_Constant.html',
         'manual/modules/real_ExponentialPowerSeries.html',
         'manual/modules/real_RealField.html',
         'manual/modules/real_RelativeError.html',
         'manual/modules/ring.html',
         'manual/modules/round2.html',
         'manual/modules/squarefree.html',
         'manual/modules/vector.html',
         'manual/modules/zassenhaus.html',
        ]),
    ]
)
